## drm-info 2.2.0

=== meson_options.txt ===
option('libpci',
  type: 'feature',
  value: 'auto',
  description: 'Print PCI device names via libpci'
)

=== debian/changelog ===
drm-info (2.2.0-2) unstable; urgency=medium

  * d/control
   + Fix VCS fields
   + Bump standards version to 4.5.1 (no changes required)
  * d/watch: Fix package name (Thanks Dennis Filder!)
  * d/patches: Add patch fixing duplicate case values
  (Thanks Dennis Filder!)
  * Closes: #982696

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 16 Feb 2021 23:56:16 +0100

drm-info (2.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #962861)

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 29 Jun 2020 18:23:46 +0200

=== debian/control ===
Source: drm-info
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders:
 Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
Build-Depends:
 debhelper-compat (= 13),
 libdrm-dev,
 libjson-c-dev,
 meson,
 pkg-config,
 python3-distutils,
Standards-Version: 4.5.1
Homepage: https://github.com/ascent12/drm_info
Vcs-Browser: https://salsa.debian.org/swaywm-team/drm-info
Vcs-Git: https://salsa.debian.org/swaywm-team/drm-info.git
Rules-Requires-Root: no

Package: drm-info
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Small utility to dump info about DRM devices
 drm-info dumps information about available drm device like available
 devices, planes, encoders, crtcs and connectors and their DRM
 properties.

=== debian/tests/control ===
Test-Command: xvfb-run /usr/bin/drm_info
Restrictions: isolation-machine
Depends:
 drm-info,
 xauth,
 xvfb,

Test-Command: xvfb-run /usr/bin/drm_info -?
Restrictions: superficial, allow-stderr
Depends:
 drm-info,
 xauth,
 xvfb,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/ascent12/drm_info/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## drm-info 2.4.0

=== meson_options.txt ===
--- 
+++ 
@@ -3,3 +3,8 @@
   value: 'auto',
   description: 'Print PCI device names via libpci'
 )
+option('man-pages',
+  type: 'feature',
+  value: 'auto',
+  description: 'Generate and install man pages'
+)

=== debian/changelog ===
drm-info (2.4.0-1) unstable; urgency=medium

  * Update d/watch to new upstream repository at freedesktop.org
    and drop filenamemangle option
  * New upstream version 2.4.0 (Closes: #1026567)
  * Update patch
  * Update uploaders and homepage
  * Add upstream metadata file
  * Bump years in d/copyright and add source
  * Add scdoc to build depends and drop custom manpage
    now that upstream ships a manpage
  * d/control: bump standards version
  * Add libpci-dev build dependency

 -- Birger Schacht <birger@debian.org>  Tue, 27 Dec 2022 22:07:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,18 @@
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders:
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
+ Birger Schacht <birger@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libdrm-dev,
+ libpci-dev,
  libjson-c-dev,
  meson,
  pkg-config,
  python3-distutils,
-Standards-Version: 4.5.1
-Homepage: https://github.com/ascent12/drm_info
+ scdoc,
+Standards-Version: 4.6.1.0
+Homepage: https://gitlab.freedesktop.org/emersion/drm_info
 Vcs-Browser: https://salsa.debian.org/swaywm-team/drm-info
 Vcs-Git: https://salsa.debian.org/swaywm-team/drm-info.git
 Rules-Requires-Root: no

## drm-info 2.6.0

=== debian/changelog ===
drm-info (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * d/copyright: bump years
  * d/control: bump standards version to 4.6.2 (no changes needed)

 -- Birger Schacht <birger@debian.org>  Sun, 28 Jan 2024 15:38:11 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  pkg-config,
  python3-distutils,
  scdoc,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://gitlab.freedesktop.org/emersion/drm_info
 Vcs-Browser: https://salsa.debian.org/swaywm-team/drm-info
 Vcs-Git: https://salsa.debian.org/swaywm-team/drm-info.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS =hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
https://gitlab.freedesktop.org/emersion/drm_info/tags?sort=updated_desc archive/v?\d[\d.]+/drm_info-v?([\d.]+)@ARCHIVE_EXT@
